petsc-3.7.1 2016-05-15
Report Typos and Errors

# TAOGPCG

gradient projected conjugate gradient algorithm is an active-set conjugate-gradient based method for bound-constrained minimization

### Options Database Keys

| -tao_gpcg_maxpgits | - maximum number of gradient projections for GPCG iterate Many br
| -tao_subset_type | - "subvec","mask","matrix-free", strategies for handling active-sets Many br

Many br

Level:beginner
Location:src/tao/bound/impls/gpcg/gpcg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/bound/examples/tutorials/jbearing2.c.html